Commit 30196371 authored by Hanspeter Portner's avatar Hanspeter Portner

0.2.0 release.

parent dceb0bac
# Moony.lv2
## Lua API (0.1.1)
## Lua API (0.2.0)
### General usage
......
......@@ -25,8 +25,8 @@ set(CMAKE_MODULE_LINKER_FLAGS "-Wl,-z,nodelete ${CMAKE_MODULE_LINKER_FLAGS}")
add_definitions("-D_GNU_SOURCE=1") # asprintf
set(MOONY_MAJOR_VERSION 0)
set(MOONY_MINOR_VERSION 1)
set(MOONY_MICRO_VERSION 1)
set(MOONY_MINOR_VERSION 2)
set(MOONY_MICRO_VERSION 0)
set(MOONY_VERSION "${MOONY_MAJOR_VERSION}.${MOONY_MINOR_VERSION}.${MOONY_MICRO_VERSION}")
add_definitions("-DMOONY_VERSION=\"${MOONY_VERSION}\"")
......@@ -203,7 +203,7 @@ endif()
set(CPACK_GENERATOR "TBZ2;DEB")
set(CPACK_PACKAGE_NAME "moony-lv2")
set(CPACK_PACKER_VERSION "0.1.0-Beta1")
set(CPACK_PACKAGE_VERSION "${MOONY_VERSION}")
set(CPACK_PACKAGE_CONTACT "Hanspeter Portner <dev@open-music-kontrollers.ch>")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Realtime Lua as programmable glue in LV2")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
......@@ -214,7 +214,7 @@ SET(CPACK_STRIP_FILES "lib/lv2/moony.lv2/moony.so;lib/lv2/moony.lv2/moon_ui.so")
set(CPACK_DEBIAN_PACKAGE_NAME ${CPACK_PACKAGE_NAME})
set(CPACK_DEBIAN_PACKAGE_VERSION ${CPACK_PACKAGE_VERSION})
set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
set(CPACK_DEBIAN_PACKAGE_BUILD_DEPENDS "lv2core (>= 4.0-4~), lv2-extensions-good, libelementary-dev, flex")
set(CPACK_DEBIAN_PACKAGE_BUILD_DEPENDS "lv2-dev, libelementary-dev, flex")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6, libelementary2")
set(CPACK_DEBIAN_PACKAGE_PROVIDES "lv2-plugin")
set(CPACK_DEBIAN_PACKAGE_MAINAINER ${CPACK_PACKAGE_CONTACT})
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment